/* suggestions */

#suggestions {
	margin-bottom: 20px;
	padding: 13px;
	background-color: darken($white, 5%);
	@include clearfix;
	
	> h3 {
		@include reset;
		margin-bottom: 13px;
		text-transform: uppercase;
		@include comforta(medium, 20px);
		color: $blue;
	}
	
	.tabContainer {
		.tabHeads {
			position: relative;
			margin-bottom: 2px;
			padding: 0 25px;
			height: 60px;
			@include clearfix;
			
			.tabHead {
				position: relative;
				top: 0;
				float: left;
				border-left: 2px solid darken($white, 5%);;
				padding: 10px 8px 0 8px;
				width: 50%;
				
				height: 60px;
				@include roboto(bold, 13px);
				color: $black;
				@include border-box;
				background-color: $white;
				cursor: pointer;
				
				@include transition(color 0.3s linear, margin 0.3s linear, height 0.3s linear, padding 0.3s linear);
				
				&:hover,
				&.active {
					padding-top: 14px;
					color: $red;
					margin-top: -4px;
					height: 64px;
				}
				
				&:nth-child(2) {
					border: none;
				}
				
				span {
					font: {
						weight: 300;
						size: 11px;
					}
				}
			}
			
			.navigateLeft,
			.navigateRight {
				position: absolute;
				top: 0;
				width: 25px;
				//height: 100%;
				background-color: $red;
				text-align: center;
				line-height: 240px;
				color: $white;
				cursor: pointer;
				
				&.disabled {
					color: darken($white, 3%);
					background-color: darken($white, 9%);
					cursor: default;
					pointer-events: none;
				}
			}
			
			.navigateLeft {
				left: 0;
				
				&:before {
					@include icon($fa-var-chevron-left);
				}
			}
			
			.navigateRight {
				right: 0;
				
				&:before {
					@include icon($fa-var-chevron-right);
				}
			}
		}
		
		.tabContents {
			@include clearfix;
			.tabContent {
				display: none;
				@include clearfix;
			
				&:nth-child(1) {
					display: block;
				}
			}
		}
	}
	
	.recommend {
		position: relative;
		padding: 16px 10px 40px 10px;
		margin-bottom: 2px;
		background-color: $white;
		@include clearfix;
		
		img {
			margin-bottom: 20px;
			width: 100%;
			height: auto;
			display: inline-block;
		}
		
		.date {
			display: block;
			float: left;
			width: 60px;
			padding-top: 5px;
			font-weight: bold;
		}
		
		.img {
			float: left;
			width: 100%;
			height: auto;
		}
		
		h3 {
			margin: 5px 0 0 0;
			@include roboto(bold, 15px);
			color: $blue;
			
			a {
				color: $blue;
			}
		}
		
		.meta {
			display: block;
			margin-top: 10px;
			font-weight: bold;
		}
		
		.more {
			position: absolute;
			right: 10px;
			bottom: 12px;
			padding-right: 38px;
			line-height: 33px;
			color: $red;
			background: url('../img/more.png') right top no-repeat;
		}
		
		p img {
			display: none;
		}
		
		a.parent_info {
			position: absolute;
			right: 115px;
			bottom: 13px;
			display: block;
			width: 119px;
			height: 34px;
			overflow: hidden;
			text-indent: -3000px;
			background: url('../img/parentbutton.png') center no-repeat;
		}
	}
}

// Media querys

@media all and (min-width:$screen-small) {
	#suggestions {
		.tabContainer {
			.tabHeads {
			
				.tabHead {
					width: 33.3332%;
				}
				
				.navigateLeft,
				.navigateRight {
					line-height: 180px;
				}
			}
		}
		
		.recommend {
			padding: 16px 10px 40px 10px;
			
			img {
				width: 125px;
			}
			
			.img {
				float: left;
				width: 145px;
			}
		
			.date {
				float: left;
				width: 60px;
			}
		}
	}
}

@media all and (min-width:$screen-medium) {
	#suggestions {
		.tabContainer {
			.tabHeads {
			
				.tabHead {
					width: 14.28%;
					width: 25%;
				}
				
				.navigateLeft,
				.navigateRight {
					line-height: 120px;
				}
			}
		}
	}
}

@media all and (min-width:$screen-large) {
	#suggestions {
		.tabContainer {
			.tabHeads {
				padding: 0 25px;
			
				.tabHead {
					width: 14.28%;
				}
				
				.navigateLeft,
				.navigateRight {
					width: 25px;
					line-height: 60px;
				}
			}
		}
	}
}

// Icons

#suggestions .icon_tags {
	margin-top: 5px;
	
	a {
		position: absolute;
		left: 10px;
		top: 49px;
		display: none;
		margin-right: 4px;
		width: 40px;
		height: 40px;
		overflow: hidden;
		text-indent: -3000px;
		pointer-events: none;
		-o-pointer-events: none;
		-ms-pointer-events: none;
		
		&[href$="en-es-a-tobbiek"],
		&[href$="eszkerek"],
		&[href$="felfedezes"],
		&[href$="ki-vagyok-en"],
		&[href$="tudor"],
		&[href$="ugyesseg"] {
			&:nth-child(1),
			&:nth-child(2) {
				display: block;
			}
			
			&:nth-child(2) {
				top: 99px;
			}
		}
		
		&[href$="en-es-a-tobbiek"] {
			background: url('../img/icon/en_es_a_tobbiek.jpg');
		}
		
		&[href$="eszkerek"] {
			background: url('../img/icon/eszkerek.jpg');
		}
		
		&[href$="felfedezes"] {
			background: url('../img/icon/felfedezes.jpg');
		}
		
		&[href$="ki-vagyok-en"] {
			background: url('../img/icon/ki_vagyok_en.jpg');
		}
		
		&[href$="tudor"] {
			background: url('../img/icon/tudor.jpg');
		}
		
		&[href$="ugyesseg"] {
			background: url('../img/icon/ugyesseg.jpg');
		}
	}
}

#suggestions .icon_key {
	position: relative;
	margin-top: 10px;
	padding: 15px 12px 25px 12px;
	background-color: $white;
	
	h3 {
		font-size: 14px;
		color: $black;
	}
	
	p {
		font-size: 12.85px;
	}
	
	span {
		display: inline-block;
		//margin-right: 1%;
		//white-space: nowrap;
		width: 100%;
		font-size: 12.85px;
	}
	
	img {
		width: 30px;
		height: 30px;
		position: relative;
		bottom: -7px;
		margin-right: 5px;
	}
	
	.info {
		position: absolute;
		top: 15px;
		right: 12px;
		font-weight: bold;
		
		&:after {
			@include icon($fa-var-chevron-right);
			display: inline-block;
			margin-left: 0.45em;
		}
	}
}
